<app-loading *ngIf='isLoading'></app-loading>
<div class='app-card'>
  <form nz-form [formGroup]='form'>
    <div class='app-row' nz-row [nzGutter]='[30, 0]'>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='rrgCode' [mbMaxLength]='50' uppercase (mbBlur)='codeBlur()' [mbDisable]='id != null'
                       [mbType]="isSubmitted && form.controls['rrgCode'].errors ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && form.controls['rrgCode'].errors !== null"
                       [mbErrors]="form.controls['rrgCode'].errors"
                       [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'reports.validate.maxLength' | translate: {'numberLength': '50' }},
           { errorName: 'code', errorDescription: 'reports.validate.code' | translate },
           { errorName: 'required', errorDescription: 'reports.validate.required' | translate: {'param': 'reports.reportGroup.code' | translate }}]"
                       mbPlaceholderText="{{'reports.reportGroup.code' | translate}}"
                       mbLabelText="{{'reports.reportGroup.code' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='rrgName'
                       [mbType]="isSubmitted && form.controls['rrgName'].errors ? 'error' : 'default'"
                       [mbMaxLength]='250'
                       [mbShowError]="isSubmitted && form.controls['rrgName'].errors != null"
                       [mbErrors]="form.controls['rrgName'].errors"
                       [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'reports.validate.maxLength' | translate: {'numberLength': '250' }},
            { errorName: 'required', errorDescription: 'reports.validate.required' | translate: {'param': 'reports.reportGroup.name' | translate }}]"
                       mbPlaceholderText="{{'reports.reportGroup.name' | translate}}"
                       mbLabelText="{{'reports.reportGroup.name' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName="storageDay" [mbMaxLength]="10" appNumberic [num]='10' (mbClick)='onClickStorageDay()' (mbBlur)='onBlur()'
                       [mbType]="isSubmitted && form.controls['storageDay'].errors ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && form.controls['storageDay'].errors != null"
                       [mbErrors]="form.controls['storageDay'].errors"
                       [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'reports.validate.required' | translate: {'param': 'reports.reportGroup.storageDay2' | translate }},
                          { errorName: 'onlyNumber', errorDescription: 'reports.validate.onlyNumber' | translate: {'param': 'reports.reportGroup.storageDay2' | translate } }]"
                       mbPlaceholderText="{{'reports.reportGroup.storageDay2' | translate}}"
                       mbLabelText="{{'reports.reportGroup.storageDay' | translate}} <span class='label__required'>*</span>">
        </mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName="cleanDay" [mbMaxLength]="10" appNumberic [num]='10' (mbClick)='onClickCleanDay()' (mbBlur)='onBlur()'
                       [mbType]="isSubmitted && form.controls['cleanDay'].errors ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && form.controls['cleanDay'].errors != null"
                       [mbErrors]="form.controls['cleanDay'].errors"
                       [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'reports.validate.required' | translate: {'param': 'reports.reportGroup.cleanDay2' | translate }},
                          { errorName: 'onlyNumber', errorDescription: 'reports.validate.onlyNumber' | translate: {'param': 'reports.reportGroup.cleanDay2' | translate } }]"
                       mbPlaceholderText="{{'reports.reportGroup.cleanDay2' | translate}}"
                       mbLabelText="{{'reports.reportGroup.cleanDay' | translate}} <span class='label__required'>*</span>">
        </mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="12">
        <label class="input__label">{{'reports.reportGroup.isActive' | translate}}</label>
        <div class="m-t-sm" style="width: 100%;">
          <nz-switch formControlName="isActive">
          </nz-switch>
        </div>
      </div>
    </div>
    <div class='footer'>
      <mb-button mbButtonType='NO_BORDER' mbType='SUBMIT' mbButtonSize='LARGE' (click)='save()'
                 mbButtonAvailableStyle='PRIMARY' mbButtonText="{{'common.button.save' | translate}}"></mb-button>
    </div>
  </form>
</div>
